import { combineReducers } from "@reduxjs/toolkit";

import authReducer from "./slices/authSlice";
import adminReducer from "./slices/adminSlice";
import profileReducer from "./slices/profileSlice";
import userReducer from "./slices/userSlice.ts";
import roleReducer from "./slices/roleSlice.ts";
import vehicleReducer from "./slices/VehicleSlice.ts";
import managerReducer from "../redux/slices/managerSlice.ts";
import stationReducer from "../redux/slices/stationSlice.ts"; 
import slotReducer from "../redux/slices/slotSlice.ts"; 
import bookReducer from "../redux/slices/bookSlice.ts"; 
import dashboardReducer from "../redux/slices/dashboardSlice.ts"; 

const rootReducer = combineReducers({
	authReducer,
	adminReducer,
	profileReducer,
	userReducer,
	roleReducer,
	vehicleReducer,
	managerReducer,
	stationReducer,
	slotReducer,
	bookReducer,
    dashboardReducer,

});

export type RootState = ReturnType<typeof rootReducer>;

export default rootReducer;
